# Update transcript comment PATCH https://app.askelephant.ai/api/v2/transcript_comments/{transcript_comment_id} Content-Type: application/json Updates a single workspace transcript comment's body and/or status. Requires both `engagements:read` and `transcript_comments:write` scopes. Reference: https://docs.askelephant.ai/api-reference/transcript-comments/update-transcript-comment ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AskElephant Public API version: 1.0.0 paths: /v2/transcript_comments/{transcript_comment_id}: patch: operationId: update-transcript-comment summary: Update transcript comment description: >- Updates a single workspace transcript comment's body and/or status. Requires both `engagements:read` and `transcript_comments:write` scopes. tags: - subpackage_transcriptComments parameters: - name: transcript_comment_id in: path required: true schema: type: string - name: Authorization in: header description: Bearer authentication required: true schema: type: string responses: '200': description: Updated transcript comment response. content: application/json: schema: $ref: '#/components/schemas/transcript_comment' '401': description: Authentication is missing or invalid. content: application/json: schema: $ref: '#/components/schemas/error' '403': description: Authenticated but missing required scope. content: application/json: schema: $ref: '#/components/schemas/error' '404': description: The requested resource does not exist. content: application/json: schema: $ref: '#/components/schemas/error' '422': description: Request body validation failed. content: application/json: schema: $ref: '#/components/schemas/error' '429': description: Too many requests. content: application/json: schema: $ref: '#/components/schemas/error' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/error' requestBody: content: application/json: schema: $ref: '#/components/schemas/transcript_comment_update_request' servers: - url: https://app.askelephant.ai/api - url: https://app-staging.askelephant.ai/api components: schemas: TranscriptCommentUpdateRequestStatus: type: string enum: - active - resolved title: TranscriptCommentUpdateRequestStatus transcript_comment_update_request: type: object properties: body: type: string description: >- Transcript comment body text. Leading and trailing whitespace is trimmed server-side; the trimmed value must be at least 1 character. Whitespace-only strings are rejected with 422. status: $ref: '#/components/schemas/TranscriptCommentUpdateRequestStatus' title: transcript_comment_update_request TranscriptCommentObject: type: string enum: - transcript_comment title: TranscriptCommentObject TranscriptCommentStatus: type: string enum: - active - resolved title: TranscriptCommentStatus transcript_comment_anchor: type: object properties: start_citation: type: - string - 'null' end_citation: type: - string - 'null' start_seconds: type: - number - 'null' format: double end_seconds: type: - number - 'null' format: double quote_text: type: - string - 'null' speaker_index: type: - integer - 'null' required: - start_citation - end_citation - start_seconds - end_seconds - quote_text - speaker_index title: transcript_comment_anchor transcript_comment: type: object properties: object: $ref: '#/components/schemas/TranscriptCommentObject' id: type: string engagement_id: type: string transcript_timeline_id: type: string body: type: string status: $ref: '#/components/schemas/TranscriptCommentStatus' anchor: $ref: '#/components/schemas/transcript_comment_anchor' created_by: type: string resolved_by: type: - string - 'null' resolved_at: type: - string - 'null' format: date-time created_at: type: string format: date-time updated_at: type: string format: date-time required: - object - id - engagement_id - transcript_timeline_id - body - status - anchor - created_by - resolved_by - resolved_at - created_at - updated_at title: transcript_comment error_item: type: object properties: field: type: string description: Request field or parameter associated with the error. code: type: string description: Stable machine-readable error code. message: type: string description: Human-readable explanation of the error. required: - code - message description: Structured validation or field-level error detail. title: error_item error: type: object properties: type: type: string format: uri description: Stable URI identifying the error category. title: type: string description: Short human-readable summary of the error. status: type: integer description: HTTP status code for this error response. detail: type: string description: Human-readable explanation specific to this request. request_id: type: string description: Correlation identifier for support and debugging. errors: type: array items: $ref: '#/components/schemas/error_item' description: Optional field-level validation errors. required: - type - title - status - detail - request_id description: RFC 9457 problem details response returned for client-visible failures. title: error securitySchemes: BearerAuth: type: http scheme: bearer ``` ## SDK Code Examples ```python Resolve a transcript comment import requests url = "https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id" payload = { "status": "resolved" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Resolve a transcript comment const url = 'https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"status":"resolved"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Resolve a transcript comment package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id" payload := strings.NewReader("{\n \"status\": \"resolved\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Resolve a transcript comment require 'uri' require 'net/http' url = URI("https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"status\": \"resolved\"\n}" response = http.request(request) puts response.read_body ``` ```java Resolve a transcript comment import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"status\": \"resolved\"\n}") .asString(); ``` ```php Resolve a transcript comment request('PATCH', 'https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id', [ 'body' => '{ "status": "resolved" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Resolve a transcript comment using RestSharp; var client = new RestClient("https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"status\": \"resolved\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Resolve a transcript comment import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["status": "resolved"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python import requests url = "https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id" payload = { "status": "resolved" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"status":"resolved"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id" payload := strings.NewReader("{\n \"status\": \"resolved\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"status\": \"resolved\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"status\": \"resolved\"\n}") .asString(); ``` ```php request('PATCH', 'https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id', [ 'body' => '{ "status": "resolved" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"status\": \"resolved\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["status": "resolved"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.askelephant.ai/api/v2/transcript_comments/transcript_comment_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```